/* Copyright (c) 2001, 2003, 2004, 2006, 2007, 2008, 2009
 * by Arkkra Enterprises */
/* All rights reserved */

#ifndef _SSVUSED_H
#define _SSVUSED_H

/*
 * This file contains the array subscript definitions for the used[] array
 * of an SSV struct. An SSV contains parameters associated with a
 * Score, Staff, or Voice.  The used[] array is a set of flags which say
 * whether a given parameter is actually populated in the SSV instance.
 * In the "score" SSV, all used flags are always set true.  In SSVs for
 * a staff or voice, a "used" flag is only set to true if the user
 * specified a value for the parameter in that staff or voice context.
 *
 * The actual values are machine-generated so they get automatically
 * renumbered if parameters are added or deleted or rearranged.
 *
 * We try to put things that are logically similar close together in
 * this list, but they could be in any order, other than that NUMFLDS
 * _must_ be last.
 */

#define	SCALE_FACTOR		(0)
#define	UNITS			(1)
#define	PAGEHEIGHT		(2)
#define	PAGEWIDTH		(3)
#define	PANELSPERPAGE		(4)
#define	MAXSCORES		(5)
#define	MAXMEASURES		(6)
#define	SLASHESBETWEEN		(7)
#define	TOPMARGIN		(8)
#define	BOTMARGIN		(9)
#define	LEFTMARGIN		(10)
#define	RIGHTMARGIN		(11)
#define	RESTCOMBINE		(12)
#define	FIRSTPAGE		(13)
#define	NUMSTAFF		(14)
#define	MINSCSEP		(15)
#define	MAXSCSEP		(16)
#define	MINSCPAD		(17)
#define	MAXSCPAD		(18)
#define	BRACELIST		(19)
#define	BRACKLIST		(20)
#define	BARSTLIST		(21)
#define	TIME			(22)
#define	DIVISION		(23)
#define	ENDINGSTYLE		(24)
#define	GRIDSATEND		(25)
#define	MEASNUM			(26)
#define	MEASNUMFAMILY		(27)
#define	MEASNUMFONT		(28)
#define	MEASNUMSIZE		(29)
#define	MEASNUMSTYLE		(30)
#define	BRACKETREPEATS		(31)
#define	PACKFACT		(32)
#define	PACKEXP			(33)
#define	WARN			(34)
#define	STAFFSCALE		(35)
#define	VISIBLE			(36)
#define	STAFFLINES		(37)
#define	GRIDSWHEREUSED		(38)
#define	GRIDSCALE		(39)
#define	GRIDFRET		(40)
#define	NUMBERMRPT		(41)
#define	PRINTMULTNUM		(42)
#define	RESTSYMMULT		(43)
#define	VSCHEME			(44)
#define	VCOMBINE		(45)
#define	SHARPS			(46)
#define	CANCELKEY		(47)
#define	TRANSPOSITION		(48)
#define	ADDTRANSPOSITION	(49)
#define	USEACCS			(50)
#define	CARRYACCS		(51)
#define	CLEF			(52)
#define	REHSTYLE		(53)
#define	REPEATDOTS		(54)
#define	FONTFAMILY		(55)
#define	FONT			(56)
#define	SIZE			(57)
#define	REHFAMILY		(58)
#define	REHFONT			(59)
#define	REHSIZE			(60)
#define	LYRICSFAMILY		(61)
#define	LYRICSFONT		(62)
#define	LYRICSSIZE		(63)
#define	LYRICSALIGN		(64)
#define	SYLPOSITION		(65)
#define	MINSTSEP		(66)
#define	STAFFPAD		(67)
#define	ABOVEORDER		(68)
#define	BELOWORDER		(69)
#define	BETWEENORDER		(70)
#define	PEDSTYLE		(71)
#define	CHORDDIST		(72)
#define	DIST			(73)
#define	DYNDIST			(74)
#define	LYRICSDIST		(75)
#define	LABEL			(76)
#define	LABEL2			(77)
#define	BEAMSTLIST		(78)
#define	BEAMSLOPE		(79)
#define	PAD			(80)
#define	STEMLEN			(81)
#define	BEAMSHORT		(82)
#define	MAXPROSHORT		(83)
#define	BEGPROSHORT		(84)
#define	ENDPROSHORT		(85)
#define	DEFOCT			(86)
#define	TIMEUNIT		(87)
#define	SWINGUNIT		(88)
#define	WITHFAMILY		(89)
#define	WITHFONT		(90)
#define	WITHSIZE		(91)
#define	ALIGNRESTS		(92)
#define	RELEASE			(93)
#define	ONTHELINE		(94)
#define	TABWHITEBOX		(95)
#define	NOTEHEADS		(96)
#define	EMPTYMEAS		(97)
#define	NUMFLDS			(98)

#endif
